
That night, my heart ached badly. I slept and what I experienced was somehow strange because It was not like issues I read about others in your website. I assure you what I experienced was never ever like a dream because I woke. Yes, it was as simple as that!

Before I dropped dead, I was asleep. But upon my death, I woke up suddenly and was more conscious than I am now writing to you. My understanding is that people who die during sleeping and upon their death, they wake up because they are no longer alive to continue their sleep. The same thing happened to me.

I was floating, something like floating on water. As a result of sea waves, I moved accidentally toward up, down, left, or right. I had a tendency to move upward but it was really hard. On top, there was a large rectangle which was divided into two parts from the middle. It was exactly like a window without any glass, which you could pass through it and enter to the other side. In the right half part, all things were in red color but I couldn't look and see what was in it because it seemed like something stopped me from doing that. However, what was in the left half of the rectangle was unexpected and beyond my imagination. It was a blue sky color with land covered with flattened grass, a Christian cemetery, and graves with crosses. It was obvious that it belonged to Christians. There shouldn’t have been any graves in that world. This is ridiculous and funny, but I swear that this was what I saw and it was for real. It's interesting that I'm a Muslim and a Monotheist. In our religion, there is no difference between Jesus and Mohammad (PBUH) because both are prophets. But I don't know why I saw the Christian cemetery. Again, I assure you that this was no dream and this event was for real. Then I moved downward slowly into my body, just like a piece of paper.

Then I woke up, blinked my eyes, and realized that my my heart and ribcage ached badly. I had an infinitely heavy feeling. It seemed that my heart had just begun to beat again.
